Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  Abwicklungsoption mit VB abfragen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SolidEdge - Skalieren eines Bildes auf eine bestimmte Größe
Autor Thema:   Abwicklungsoption mit VB abfragen (1284 mal gelesen)
peticeo
Mitglied
Wirtschaftsinformatiker FH


Sehen Sie sich das Profil von peticeo an!   Senden Sie eine Private Message an peticeo  Schreiben Sie einen Gästebucheintrag für peticeo

Beiträge: 162
Registriert: 25.10.2005

Windows 7 64bit
Quad X5472
ST 2/12
Teamcenter 8.1

erstellt am: 11. Jun. 2007 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Ausschnitt.jpg

 
Hallo Freunde

wie kann ich per VB2005 expr. die Abwicklungsoption "Ausschnittbereich und Abmasse anzeigen" aktivieren?? (Siehe Attachement)

Das brauche ich für ältere Dateien.

Danke für die Hilfe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Oliver II
Mitglied
TZ


Sehen Sie sich das Profil von Oliver II an!   Senden Sie eine Private Message an Oliver II  Schreiben Sie einen Gästebucheintrag für Oliver II

Beiträge: 202
Registriert: 26.07.2005

erstellt am: 11. Jun. 2007 13:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für peticeo 10 Unities + Antwort hilfreich

Hallo,
ich weis leider nicht was du mi vb2005 meinst, aber du kannst in der V19 über folgenden Weg diese Werte abfrangen.
Du must in der Variablentabelle zwei name offenlegen und zwar: Abwicklung_x_Schnittgröße und Abwicklung_y_Schnittgröße.
In der Draft gibst du einen Legendentext mit folgenden eintrag an: %{Abwicklung_x_Schnittgröße|*.psm}%{Abwicklung_y_Schnittgröße|*.psm} wobei das * für den Namen des Blechteiles steht.
Beim plazieren des Legendentext auf der Zeichnung bekommst du dann die max Abmaße des Bleches.

Du kannst auch diese offengelegten Maße zum Beispiel in die Stückliste aufnehmen, oder einen separaten eintrag im Schnriftkopf angeben.

MfG Oliver II

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

modeng
Ehrenmitglied V.I.P. h.c.



Sehen Sie sich das Profil von modeng an!   Senden Sie eine Private Message an modeng  Schreiben Sie einen Gästebucheintrag für modeng

Beiträge: 7061
Registriert: 10.12.2003

erstellt am: 11. Jun. 2007 14:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für peticeo 10 Unities + Antwort hilfreich

Moin,

direkt geht's AFAIKAs far as i know (So viel ich weiss) nicht weil dafuer kein eigener Command existiert.
Aber es gibt da noch folgende Methoden/Objekte


<objSheetMetal>...SetDefaultCutSizeValues()
<objSheetMetal>...GetDefaultCutSizeValues()


<objSheetMetal>.FlatPatternModels.Item(1)...GetCutSizeValues()
<objSheetMetal>.FlatPatternModels.Item(1)...SetCutSizeValues()

Letztere hat auch ein Argument zum Ein-Ausschalten der 'Use default ...'

modeng

------------------
Unser Unwissen erobert immer weitere Welten. (S.J. Lec)

[Diese Nachricht wurde von modeng am 11. Jun. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

peticeo
Mitglied
Wirtschaftsinformatiker FH


Sehen Sie sich das Profil von peticeo an!   Senden Sie eine Private Message an peticeo  Schreiben Sie einen Gästebucheintrag für peticeo

Beiträge: 162
Registriert: 25.10.2005

Windows 7 64bit
Quad X5472
ST 2/12
Teamcenter 8.1

erstellt am: 11. Jun. 2007 14:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Oliver

Zitat:
ich weis leider nicht was du mi vb2005 meinst ..

vb2005 heisst Visual Basic 2005.net !

Ich müsste für alte Dokumenten ein Makro schreiben und weiss nicht welche Methode ich hierzu anwenden soll.
Gruss Peticeo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Oliver II
Mitglied
TZ


Sehen Sie sich das Profil von Oliver II an!   Senden Sie eine Private Message an Oliver II  Schreiben Sie einen Gästebucheintrag für Oliver II

Beiträge: 202
Registriert: 26.07.2005

erstellt am: 11. Jun. 2007 14:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für peticeo 10 Unities + Antwort hilfreich

Sorry hab ich keine Ahnung von, ich lass solche Sachen von unserem Admin programmieren. Wir sagen ihm nur was er machen soll!

Vieleicht gibt es fertige Makros die etwas ähnliches durchführen , aber was man leicht anpassen kann!

MfG Oliver II

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

peticeo
Mitglied
Wirtschaftsinformatiker FH


Sehen Sie sich das Profil von peticeo an!   Senden Sie eine Private Message an peticeo  Schreiben Sie einen Gästebucheintrag für peticeo

Beiträge: 162
Registriert: 25.10.2005

Windows 7 64bit
Quad X5472
ST 2/12
Teamcenter 8.1

erstellt am: 11. Jun. 2007 15:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Modeng

Danke, doch ich kommen immer noch nicht (viel) weiter.
Wie muss ich mein objSheetMetal-Objekt deklarieren?
Was mache ich falsch?

Dim mPart As SolidEdgeFramework.SolidEdgeDocument = App.ActiveDocument
Dim objVar As SolidEdgeFramework.VariableList=mPart.Variables.query("*")

ich bitte um Hilfeeeee

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

modeng
Ehrenmitglied V.I.P. h.c.



Sehen Sie sich das Profil von modeng an!   Senden Sie eine Private Message an modeng  Schreiben Sie einen Gästebucheintrag für modeng

Beiträge: 7061
Registriert: 10.12.2003

erstellt am: 11. Jun. 2007 16:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für peticeo 10 Unities + Antwort hilfreich

Moin,

... hab' kein VB.NET daher nur als VB6 coding und obiges Sample war
nicht vollstaendig:

Dim x As Double
Dim y As Double
Dim bShow As Boolean
Dim bAlarmx As Boolean
Dim bALarmy As Boolean
Dim bUse As Boolean
Dim UOM As UnitsOfMeasure
Dim mSM As SheetMetalDocument
Dim mFP As FlatPattern
'
Set mSM = mApp.ActiveDocument
Set UOM = mSM.UnitsOfMeasure
Set mFP = mSM.FlatPatternModels.Item(1).FlatPatterns.Item(1)
'
' aktuelle Werte holen
Call mSM.FlatPatternModels.Item(1).GetCutSize(x, y)
MsgBox "X " & x & " x Y " & y
'
' Grenzwerte holen
Call mFP.GetCutSizeValues(x, y, bShow, bAlarmx, bALarmy, bUse)
MsgBox "X " & x & " x Y " & y
'
' free objects ...

HTHHope this helps (Hoffe, es hilft weiter)

modeng

------------------
Unser Unwissen erobert immer weitere Welten. (S.J. Lec)

[Diese Nachricht wurde von modeng am 11. Jun. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

peticeo
Mitglied
Wirtschaftsinformatiker FH


Sehen Sie sich das Profil von peticeo an!   Senden Sie eine Private Message an peticeo  Schreiben Sie einen Gästebucheintrag für peticeo

Beiträge: 162
Registriert: 25.10.2005

Windows 7 64bit
Quad X5472
ST 2/12
Teamcenter 8.1

erstellt am: 12. Jun. 2007 13:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Modeng

für die es in VB.net brauchen:

Dim mApp As SolidEdgeFramework.Application = GetObject(, "solidedge.application")
Dim mSM As SolidEdgePart.SheetMetalDocument = mApp.ActiveDocument
Dim mFP As SolidEdgePart.FlatPattern = mSM.FlatPatternModels.Item(1).FlatPatterns.Item(1)
Dim x, y As Double
Dim bShow, bAlarmx, bAlarmy, bUse As Boolean

'aktuellen Wert holen
Call mSM.FlatPatternModels.Item(1).GetCutSize(x, y)
MsgBox(x & " x " & y)

'Grenzwert holen
Call mFP.GetCutSizeValues(x, y, bShow, bAlarmx, bAlarmy, bUse)
MsgBox(x & " x " & y & " | " & bShow & " | " & bAlarmx & " | " & bAlarmy & " | " & bUse)

'Wert setzen
Call mFP.SetCutSizeValues(x, y, True, False, False, True)

...

Peticeo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz